// 请求码
export interface TemplateQuerySupportType {
  code: number;
  desc: string;
}
export const DeviceCreate: TemplateQuerySupportType = {
  code: 52_302,
  desc: '创建设备',
};
export const DeviceDelete: TemplateQuerySupportType = {
  code: 52_304,
  desc: '删除设备',
};
export const DeviceQueryAll: TemplateQuerySupportType = {
  code: 52_301,
  desc: '查询所有设备',
};
export const DeviceUpdate: TemplateQuerySupportType = {
  code: 52_303,
  desc: '更新设备',
};
export const DriverCreate: TemplateQuerySupportType = {
  code: 52_202,
  desc: '创建驱动',
};
export const DriverDelete: TemplateQuerySupportType = {
  code: 52_204,
  desc: '删除驱动',
};
export const DriverQuery: TemplateQuerySupportType = {
  code: 52_205,
  desc: '查询驱动',
};
export const DriverQueryPage: TemplateQuerySupportType = {
  code: 52_201,
  desc: '查询模板点位',
};
export const DriverQueryStatus: TemplateQuerySupportType = {
  code: 52_206,
  desc: '查询驱动状态',
};
export const DriverQuerySupportType: TemplateQuerySupportType = {
  code: 52_004,
  desc: '查询驱动支持的类型',
};
export const DriverStart: TemplateQuerySupportType = {
  code: 52_207,
  desc: '启动驱动',
};
export const DriverStop: TemplateQuerySupportType = {
  code: 52_208,
  desc: '停止驱动',
};
export const DriverTemplateQuery: TemplateQuerySupportType = {
  code: 52_209,
  desc: '查询驱动模板',
};
export const DriverUpdate: TemplateQuerySupportType = {
  code: 52_203,
  desc: '更新驱动',
};
export const HistoryClear: TemplateQuerySupportType = {
  code: 52_404,
  desc: '清除历史记录',
};
export const HistoryExport: TemplateQuerySupportType = {
  code: 52_405,
  desc: '导出历史记录',
};
export const HistoryQuery: TemplateQuerySupportType = {
  code: 52_403,
  desc: '查询历史记录',
};
export const HistoryQueryConfig: TemplateQuerySupportType = {
  code: 52_401,
  desc: '查询历史记录配置',
};
export const HistoryUpdateConfig: TemplateQuerySupportType = {
  code: 52_402,
  desc: '更新历史记录配置',
};
export const PointCreate: TemplateQuerySupportType = {
  code: 52_022,
  desc: '创建模板点位',
};
export const PointDelete: TemplateQuerySupportType = {
  code: 52_024,
  desc: '删除模板点位',
};
export const PointQueryAll: TemplateQuerySupportType = {
  code: 52_021,
  desc: '查询所有模板点位',
};
export const PointUpdate: TemplateQuerySupportType = {
  code: 52_023,
  desc: '更新模板点位',
};
export const TemplateCreate: TemplateQuerySupportType = {
  code: 52_012,
  desc: '创建模板',
};
export const TemplateDelete: TemplateQuerySupportType = {
  code: 52_014,
  desc: '删除模板',
};
export const TemplatePointQuerySupportAccess: TemplateQuerySupportType = {
  code: 52_003,
  desc: '查询模板点位支持的权限类型',
};
export const TemplatePointQuerySupportType: TemplateQuerySupportType = {
  code: 52_002,
  desc: '查询模板点位支持的数据类型',
};
export const TemplateQuery: TemplateQuerySupportType = {
  code: 52_015,
  desc: '查询模板',
};
export const TemplateQueryPage: TemplateQuerySupportType = {
  code: 52_011,
  desc: '查询所有模板',
};
export const TemplateQuerySupportType: TemplateQuerySupportType = {
  code: 52_001,
  desc: '查询模板支持的类型',
};
export const TemplateUpdate: TemplateQuerySupportType = {
  code: 52_013,
  desc: '更新模板',
};
